#!/bin/bash

#=======================================================================
# postinstall/reqsrv.sh
#=======================================================================

if [ ! -w /etc/passwd ] ; then
  echo "$0: only 'root' can execute this program"
  exit 1
fi

#-----------------------------------------------------------------------
# ECHO
#-----------------------------------------------------------------------

ECHO () {
  local LINE_NUMBER=$(printf "%3d" $1)
  shift
  [[ -n $EPAGES_INSTALLATION_MOCK ]] && echo "$@" || echo -e "[${0##*/}:$LINE_NUMBER] $@"
}

#-----------------------------------------------------------------------
# define variables and functions
#-----------------------------------------------------------------------

REQSRV_CONFIGFILE=$1

# do nothing if standby
if [[ $REQSRV_CONFIGFILE =~ /standby ]] ; then
  ECHO $LINENO "EPAGES_SPEC_SKIP_RESTART=1 (/standby in $REQSRV_CONFIGFILE)"
  exit 0
fi

PERL_ENV=$PERL
EPAGES_CONFIG_ENV=$EPAGES_CONFIG

FUN_DIR=$(cd $(dirname $0)/../functions && pwd)

. $FUN_DIR/fun-epages.sh
export fun_epages_sourced
export -f etc_default

. $(etc_default)

EPAGES=${EPAGES:-/srv/epages/eproot}
EPAGES_CONFIG=${EPAGES_CONFIG:-/srv/epages/eproot/Shared/Config}
EPAGES_CONFIG=${EPAGES_CONFIG_ENV:-$EPAGES_CONFIG}
EPAGES_CARTRIDGES=${EPAGES_CARTRIDGES:-$EPAGES/Cartridges}
PERL=${PERL:-$EPAGES/Perl/bin/perl}
PERL=${PERL_ENV:-$PERL}

#-----------------------------------------------------------------------
# make install_pooldb
#-----------------------------------------------------------------------

set -e

pushd $EPAGES_CARTRIDGES/DE_EPAGES >/dev/null

$PERL Makefile.PL
make install_pooldb

exit 0
